
def get_prime_numbers(n):
    if n < 2:
        return []

    primes = [2]
    for i in range(3, n + 1, 2):
        is_prime = all(i % p != 0 for p in primes if p * p <= i)
        if is_prime:
            primes.append(i)

    return primes


